# System Requirements

NotePost (and the other Apps) is tested and officially supported on the following configurations.  Other systems may be supported at our discretion, possibly with an additional support fee.  The Apps should work on any sane Linux/PHP/MySQL based web server, even if it is not within the requirements shown here.

## Server

### Minimum Hardware

The Netsyms Apps are very lightweight on server resources.  The minimum supported hardware is a $35 Rasperry Pi 3 (1.2 GHz quad-core ARM CPU, 1GB RAM, 100Mbps Ethernet). Cloud VPS servers with as little as 512 MB RAM are fine too.

### Software and Operating System

* Server Operating System
    * Ubuntu
    * Debian
* PHP
    * 7.2
* Database
    * MySQL 5.7+
    * MariaDB 10.0+
* Web Server
    * Apache 2.4

### Recommended Software
For best performance, security, and ease of administration, we recommend installing the following on your server:

* PHP's opcache (cached compiled PHP code for faster execution)
* Fail2ban (if using SSH or other remote administration methods)
* PHPMyAdmin (web-based MySQL/MariaDB server administration)
* LetsEncrypt (automatic free SSL encryption setup)

## Client

The Apps are web-based and built with modern technologies.  This means any machine capable of running a standards-compliant, modern, up-to-date web browser will run the Apps just fine.

### Officially Supported Operating Systems
Note: This list is incomplete, as any OS capable of running one of the browsers from the list below will suffice.

* Linux
	* Ubuntu Linux 18.04 and supported non-LTS releases
	* Ubuntu derivatives (such as Linux Mint) based on a supported Ubuntu release
	* Debian 8 or 9
* Android
	* 5.0+ with Chrome, or
	* Any supported by Firefox, or
	* Any supported by the Netsyms Apps for Mobile client

### Supported Operating Systems
Any other operating system running a supported browser is also supported, but we may not provide support for issues not directly related to the Apps.

### Supported Screen Resolutions
All screens with a viewport (the portion of the screen showing the app, in contrast to window borders, status bars, etc) having a resolution greater than 300x400 pixels will work, assuming use of a supported browser.

### Supported Web Browsers
* Mozilla Firefox (latest and ESR)
* Chrome/Chromium (latest and latest-1)
* Chrome WebView, AOSP WebView (Android 5.0+)

### Unsupported Web Browsers
While we do not support the following browsers, they will likely still work.  You won't break anything by trying.

* Edge
* Safari
* Opera

### Known Incompatable Browsers
These legacy browsers are known to lack support for CSS rules, JavaScript APIs, and other technology required to run the Business Apps.

* Opera Mini
* Internet Explorer